MongoDB\Driver\BulkWrite::__construct
MongoDB\Driver\BulkWrite::delete
MongoDB\Driver\BulkWrite
PHP Manual

# MongoDB\Driver\BulkWrite::count

(mongodb >=1.0.0)

MongoDB\Driver\BulkWrite::count — Count expected roundtrips for executing the bulk

### Description

public int MongoDB\Driver\BulkWrite::count ( void )

Returns the expected number of client-to-server roundtrips required to execute all write operations in the MongoDB\Driver\BulkWrite.

### Parameters

This function has no parameters.

### Return Values

Returns number of expected roundtrips to execute the MongoDB\Driver\BulkWrite.

### Errors/Exceptions

- Throws MongoDB\Driver\Exception\InvalidArgumentException on argument parsing errors.

### Examples

Example #1 MongoDB\Driver\BulkWrite::count() example

`<?php
$bulk = new MongoDB\Driver\BulkWrite;
$bulk->insert(['_id' => 1, 'x' => 1]);
$bulk->insert(['_id' => 2, 'x' => 2]);
$bulk->update(['x' => 2], ['$set' => ['x' => 1]]);
$bulk->delete(['x' => 1]);
var_dump(count($bulk));
?>`

The above example will output:

    int(3)

MongoDB\Driver\BulkWrite::__construct
MongoDB\Driver\BulkWrite::delete
MongoDB\Driver\BulkWrite
PHP Manual